import{ select, arc } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
/** this uniary plus, shown below, parses the follow as a float and functions as a shorthand for the parsefloat() function.*/
const height = +svg.attr('height');

const g = svg.append('g')
	.attr('transform', `translate(${width / 2}, ${height / 2})`)
;

const circle = g.append('circle')
.attr('r', height / 3)
.attr('fill', 'yellow')
.attr('stroke', 'black')
.attr('stroke-width', '10')

const eyeOffsetX = 70;
const eyeOffsetY = -50;
const eyebrowWidth = 50;
const eyebrowHeight = 10;

const eyesG = g.append('g')
.attr('transform', `translate(0, ${eyeOffsetY})`)
;

const leftEye = eyesG.append('circle')
.attr('r', 25)
.attr('cx', - eyeOffsetX);

const rightEye = eyesG.append('circle')
.attr('r', 25)
.attr('cx', + eyeOffsetX);

const leftEyebrow = eyesG.append('rect')
.attr('x', -eyeOffsetX - 25)
.attr('y', eyeOffsetY)
.attr('width', eyebrowWidth) 
.attr('height', eyebrowHeight)
.transition()
	.attr(y;

const rightEyebrow = eyesG.append('rect')
.attr('x', eyeOffsetX - 25)
.attr('y', eyeOffsetY)
.attr('width', eyebrowWidth) 
.attr('height', eyebrowHeight);

const mouth = g.append('path')
  .attr('d', arc()({
    innerRadius: 150,
    outerRadius: 160,
    startAngle: Math.PI / 2,
    endAngle: Math.PI * 1.5
  }));